This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 72634 - (NET BONDING) driver hangs during startup of SMP kernel
(NET BONDING) driver hangs during startup of SMP kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 02:46 EDT by Matthias Borchardt
Modified: 2013-07-02 22:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Borchardt 2002-08-26 02:46:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020825

Description of problem:
When I activate the bonding driver with the SMP kernel 2.4.18-11 the network
startup script locks up during boottime.
(Dual Pentium III, network cards: 2 x via-rhine chipset)
It works, if one choose the "normal" kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use bonding network driver
2.boot SMP kernel
3.
	

Additional info:
Comment 1 Bernie Innocenti 2002-10-04 18:06:47 EDT
Also happens on non-smp machines, with 2.4.18-14 (Psyche)
Comment 2 jim 2002-10-31 17:25:48 EST
I have experienced this problem on a fresh install of psyche (Redhat 8.0 final)
as well.  I've included the kernel version and bonding configs below.  I've used
the same bonding configuration on a valhalla system without a problem.  

Thanks for looking into it.

Linux version 2.4.18-14smp (bhcompile@stripples.devel.redhat.com) (gcc version
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 SMP Wed Sep 4 12:34:47 EDT 2002

Here is the bonding configuration I used.

[modules.conf]
alias parport_lowlevel parport_pc
alias eth0 3c59x
alias eth1 3c59x
alias bond0 bonding
alias sound-slot-0 es1371
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias usb-controller usb-uhci

[ifcfg-bond0]
DEVICE=bond0
USERCTL=no
BOOTPROTO=static
BROADCAST=24.28.227.255
IPADDR=24.28.227.201
NETMASK=255.255.255.0
NETWORK=24.28.227.0
ONBOOT=yes

[ifcfg-eth0]
DEVICE=eth0
USERCTL=no
MASTER=bond0
SLAVE=yes
BOOTPROTO=none
ONBOOT=yes

[ifcfg-eth1]
DEVICE=eth1
USERCTL=no
MASTER=bond0
SLAVE=yes
BOOTPROTO=none
ONBOOT=yes
Comment 3 Jonathan Kamens 2002-11-06 15:15:31 EST
It sort of sucks that 8.0 was shipped with this bug.  Bonding is a significant
piece of functionality.
Comment 4 Jeff Garzik 2003-07-07 12:01:40 EDT
Any chance a vanilla 2.4.22-pre3 kernel can be tested?

There are _major_ upstream changes in the bonding driver, that should resolve
this problem.
Comment 5 Matthias Borchardt 2003-07-08 07:20:55 EDT
With the actual kernel version this problem disappear.
Comment 6 Bugzilla owner 2004-09-30 11:39:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.